uses DOS;
var
 CurTime : longint;
 DOW,Year: word;
 Timing  : FILE;
 TD      : DateTime;

begin
  Assign(Timing,'P:\timer');
  {$I-}
   Reset(Timing);
   if IOResult <> 0 then Halt(255);
  {$I+}
  GetFTime(Timing,CurTime);
  Close(Timing);
  UnpackTime(CurTime,TD);
  GetDate(Year,TD.Month,TD.Day,Dow);
  SetDate(TD.Year,TD.MONTH,TD.DAY);
end.